#import <Cocoa/Cocoa.h>

@protocol ARFiley
- (NSString *) path;

- (BOOL) isHidden;
- (BOOL) isDirectory;
- (BOOL) isAnyAlias;
- (BOOL) isBundle;
- (BOOL) isPackage;
- (BOOL) isRegularFile;
- (BOOL) isSymbolicLink;
- (BOOL) isImage;
- (BOOL) isPlainText;
- (BOOL) isExtensionHidden;

- (NSString *) getKindDescription;
- (NSDate *) getCreationDate;
- (NSDate *) getModificationDate;
- (NSDate *) getLastUsedDate;
- (NSString*) getResolvedPath;
- (long long) getSize;
- (NSString *) getUti;
- (BOOL) hasCustomIcon;
- (BOOL) hasNonStandardIcon;
- (IconRef) getIcon;
- (NSData*) getIconData:(int) width;
- (NSString *) getDisplayName;
- (NSString *) getMimeType;
- (NSString *) getSearchCategory;
@end
