#import <Foundation/Foundation.h>

#define Log(...) [LogUtil log:[NSString stringWithFormat:__VA_ARGS__]]

#define NSLog Log

// CONFIGURATION_Debug used by Mac stuff, DEBUG and ADHOC by iOS
#if defined CONFIGURATION_Debug || defined DEBUG || defined ADHOC
#define Deb(...) Log(__VA_ARGS__)
#define IfDeb(...) __VA_ARGS__
#else
#define Deb(...) 
#define IfDeb(...) 
#endif

@protocol Logger
- (void) log:(NSString*) s;
@end

@interface LogUtil : NSObject

+ (void) addLogger:(id<Logger>) logger;
+ (void) addFile:(FILE*) fd;
+ (void) dontSendToStderr;
+ (void) hijackStderr;

+ (void) log:(NSString*) s;

@end
