#import <Foundation/Foundation.h>

@interface NSFileManager (Additions)

- (BOOL) isPathOnNetworkVolume:(NSString*) path;

// Either prefix or suffix can be nil. Suffix should NOT start with a "."
// The file will be created.
+ (NSString*) tempFileWithPrefix:(NSString*) prefix suffix:(NSString*) suffix;

// Creates a temporary folder. prefix can be nil.
+ (NSString*) tempDirWithPrefix:(NSString*) prefix;

+ (unsigned long long) sizeOfFileAtPath:(NSString*) path;

// It's actually an unsigned long, but return a long long for Java compatibility.
+ (unsigned long long) inodeOfFileAtPath:(NSString*) path;

@end
