/**
* Custom view for use with an NSStatusItem (ie. a menu bar icon) - you need this when
* (a) you want it to look non-standard (not just an icon and/or a title), or
* (b) when you want to be able to drag and drop onto it (this requires a custom view; implement dnd in the subclass of this)
*
* This class restores the ability to attach a menu (all the click handling and stuff is lost when you use a custom view)
* and do accompanying highlighting when the menu is open.
*
* To use a menu, just set the menu outlet (which is defined on NSResponder).
*
* To use, call install (this creates the NSStatusItem).
*/
@interface StatusItemCustomView : NSView <NSMenuDelegate> {
	NSStatusItem *_statusItem;
	BOOL _highlighted;
}
@property (nonatomic, retain) NSStatusItem *statusItem;
@property (nonatomic, readonly) BOOL highlighted;


- (void) install;

@end